- Qt 5.5
- Qt3D Module
- C++ Classes
- QAspectEngine
- Qt 5.5.1 Reference Documentation

# QAspectEngine Class

(Qt3D::QAspectEngine)

Inherits: |

- List of all members, including inherited members

## Public Functions

| QAspectEngine(QObject * parent = 0)
| ~QAspectEngine()
QAspectFactory | aspectFactory() const
QList<QAbstractAspect *> | aspects() const
void | initialize()
void | registerAspect(QAbstractAspect * aspect)
void | registerAspect(const QString & name)
QSharedPointer<QEntity> | rootEntity() const
void | setAspectFactory(const QAspectFactory & factory)
void | setData(const QVariantMap & data)
void | setRootEntity(QEntity * root)
void | shutdown()

## Member Function Documentation

### QAspectEngine::QAspectEngine(QObject * parent = 0)

### QAspectEngine::~QAspectEngine()

### QAspectFactory QAspectEngine::aspectFactory() const

See also setAspectFactory().

### QList<QAbstractAspect *> QAspectEngine::aspects() const

### void QAspectEngine::initialize()

### void QAspectEngine::registerAspect(QAbstractAspect * aspect)

Registers a new aspect to the AspectManager. Passing as a QObject* as abstracts like AbstractAspect cannot be registered as a meta type.

### void QAspectEngine::registerAspect(const QString & name)

Registers a new aspect to the AspectManager based on its name Uses the currently set aspect factory to create the actual aspect instance.

### QSharedPointer<QEntity> QAspectEngine::rootEntity() const

See also setRootEntity().

### void QAspectEngine::setAspectFactory(const QAspectFactory & factory)

See also aspectFactory().

### void QAspectEngine::setData(const QVariantMap & data)

### void QAspectEngine::setRootEntity(QEntity * root)

See also rootEntity().

### void QAspectEngine::shutdown()